<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerMoneyAvailable](./bitburner.ns.getservermoneyavailable.md)

## NS.getServerMoneyAvailable() method

Get money available on a server.

**Signature:**

```typescript
getServerMoneyAvailable(host: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of target server.


</td></tr>
</tbody></table>

**Returns:**

number

Amount of money available on the server.

## Remarks

RAM cost: 0.1 GB

Returns the amount of money available on a server. Running this function on the home computer will return the player’s money.

## Example


```js
ns.getServerMoneyAvailable("foodnstuff");
ns.getServerMoneyAvailable("home"); // Returns player's money
```

